#!/usr/bin/python
# -*- coding: utf8 -*-
#
# Задача "Различные числа"
# XI Всероссийская командная олимпиада школьников по программированию
# Автор задачи: Виталий Аксенов
# Автор решения: Владимир Ульянцев, ulyantsev@rain.ifmo.ru

a, b = [int(s) for s in open('differ.in').readline().split()]
ans = set([a + b, b - a, a - b, a * b, a + b if b == 0 else 1. * a / b, a + b if a == 0 else 1. * b / a])
if a != 0:
    ans |= set([239 if abs(b) > 10 else a ** b])
if b != 0:
    ans |= set([566 if abs(a) > 10 else b ** a])
print >>open('differ.out', 'w'), len(ans)

#print >>open('differ.out', 'w'), len(set([a + b, b - a, a - b, a * b, a + b if b == 0 else 1. * a / b , a + b if a == 0 else 1. * b / a, a + b if a == 0 else a ** b, a + b if b == 0 else b ** a]))
                                                                                                         